#include "cdutils_m.h"
#include "cdutils_core.h"

using namespace CDUtils;

MInterface M;


MInterface::MInterface(): Interface(CDType::cdM) {
	CONNECTU(core, M_Message, this, messageReceived);
}


void MInterface::messageBox(const CDType & m, const PIString & msg) {
	core->sendMessage(m, MessageBox, msg);
}


PICout MInterface::createPICout(const CDType & m) const {
	PIString * buff = new PIString("[" + CDCore::pathToString(m.path()) + "]");
	return PICout(buff, 1);
}
